New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Begin sunsetting support for this gem #81

Merged
merged 1 commit into from May 30, 2018

Conversation

Projects
None yet
2 participants
@tubbo
Contributor

tubbo commented Dec 15, 2017

When Rails 5.2 is released, we'll be notifying new users that this gem is unnecessary given an upgrade to the latest minor version of the framework. We'll be continuing to offer security/compatibility updates and bug fixes, but new feature development will cease on redis-rails, redis-actionpack, and redis-activesupport.

NOTE: All other redis-store gems will continue to be fully supported.

@juandazapata

This comment has been minimized.

juandazapata commented Mar 19, 2018

Can you elaborate a bit on this? If one upgrades an app to Rails 5.2, can we just remove safely the gem without making any additional changes in the app code?

@tubbo

This comment has been minimized.

Contributor

tubbo commented Mar 19, 2018

@tubbo

This comment has been minimized.

Contributor

tubbo commented May 30, 2018

I'm changing this to reflect the fact that session storage is still something people tend to use the redis-store gems for, so I'm still supporting changes to redis-actionpack, but not redis-activesupport.

Add note to README explaining maintenence sunset
We will be sunsetting support for `redis-activesupport`. No new features
will be accepted, only security and compatibility updates will be
released as of the release of Rails 5.2.0.

@tubbo tubbo merged commit 0c3fe94 into master May 30, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment